Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1511970

Summary: [abrt] meld: os_open(): melddoc.py:136:os_open:GLib.GError: g-io-error-quark: No application is registered as handling this file (15)
Product: [Fedora] Fedora Reporter: Daniel <code>
Component: meldAssignee: Dominic Hopf <dmaphy>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 27CC: bdpepple, cwickert, dmaphy, gilboad, lkundrak
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
URL: https://retrace.fedoraproject.org/faf/reports/bthash/db871fda7de5718a85569b808a7e6f30d2869119
Whiteboard: abrt_hash:a8c14bf9aa04a51884d2ea84f2f923136a08456b;VARIANT_ID=workstation;
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-11-30 18:11:29 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
File: backtrace
none
File: cgroup
none
File: cpuinfo
none
File: environ
none
File: mountinfo
none
File: namespaces
none
File: open_fds none

Description Daniel 2017-11-10 14:25:56 UTC
Description of problem:
I right-clicked on a file in a folder compare, and chose to open it externally.

Version-Release number of selected component:
meld-3.18.0-1.fc27

Additional info:
reporter:       libreport-2.9.2
cmdline:        /usr/bin/python3 /usr/bin/meld
crash_function: os_open
exception_type: GLib.GError
executable:     /usr/bin/meld
kernel:         4.13.9-300.fc27.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
melddoc.py:136:os_open:GLib.GError: g-io-error-quark: No application is registered as handling this file (15)

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/meld/melddoc.py", line 167, in open_cb
    os_open(path, uri)
  File "/usr/lib/python3.6/site-packages/meld/melddoc.py", line 136, in os_open
    Gtk.get_current_event_time())
GLib.GError: g-io-error-quark: No application is registered as handling this file (15)

Local variables in innermost frame:
uri: 'file:///home/d/Downloads/test/_re650v1_en-up-ver1-0-1-P1%5B20170210-rel45043%5D.bin.extracted/squashfs-root/lib/libcrypto.so.0.9.8'
path: '/home/d/Downloads/test/_re650v1_en-up-ver1-0-1-P1[20170210-rel45043].bin.extracted/squashfs-root/lib/libcrypto.so.0.9.8'

Comment 1 Daniel 2017-11-10 14:26:02 UTC
Created attachment 1350533 [details]
File: backtrace

Comment 2 Daniel 2017-11-10 14:26:04 UTC
Created attachment 1350534 [details]
File: cgroup

Comment 3 Daniel 2017-11-10 14:26:05 UTC
Created attachment 1350535 [details]
File: cpuinfo

Comment 4 Daniel 2017-11-10 14:26:07 UTC
Created attachment 1350536 [details]
File: environ

Comment 5 Daniel 2017-11-10 14:26:08 UTC
Created attachment 1350537 [details]
File: mountinfo

Comment 6 Daniel 2017-11-10 14:26:10 UTC
Created attachment 1350538 [details]
File: namespaces

Comment 7 Daniel 2017-11-10 14:26:11 UTC
Created attachment 1350539 [details]
File: open_fds

Comment 8 Ben Cotton 2018-11-27 18:16:09 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Ben Cotton 2018-11-30 18:11:29 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.